#
# spec file for package python3-pysendfile
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/

%define mod_name pysendfile

Name:           python3-pysendfile
Version:        2.0.1
Release:        8.1
License:        MIT
Summary:        A Python interface to sendfile(2)
Url:            https://github.com/giampaolo/pysendfile
Group:          Development/Languages/Python
Source:         https://pypi.python.org/packages/source/p/pysendfile/%{mod_name}-%{version}.tar.gz
BuildRequires:  python3
BuildRequires:  python3-devel
BuildRequires:  python3-nose
Requires:       python3

%description
A python interface to sendfile(2) system call.

%prep
%setup -q -n %{mod_name}-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%check
#TODO: Absolute import, fix later
#nosetests

%files
%defattr(-,root,root,-)
%doc HISTORY.rst LICENSE README.rst
%{python3_sitearch}/*

%changelog
* Wed Jun 25 2014 p.drouand@gmail.com
- Update to version 2.0.1
  + #20: host tarball on PYPI
  + #21: project migrated from google code to github
  + #21: project migrated from SVN to GIT
  + #22: pysendfile won't compile on python 3.4
  + #23: add a Makefile
  + #24: use of travis continuous integration
  + #25: use tox for multiple python versions testing
- Add HISTORY.rst in package documentation
- README has been renamed README.rst
- Fix Url home page and download Url
- Fix build on Factory
* Sat Apr 13 2013 toddrme2178@gmail.com
- Remove pre_checkin.sh since the two packages are not the same
* Sat Apr 13 2013 toddrme2178@gmail.com
- Cleanup unneeded macros
* Fri Apr 12 2013 toddrme2178@gmail.com
- Added requires and buildrequires python3.  It will not work
  properly without them on openSUSE < 12.3
* Mon Jan 21 2013 p.drouand@gmail.com
- Add python3 support
* Thu Nov  8 2012 saschpe@suse.de
- Initial version
